NetworkUpdateRequest
Request body to update a network's mutable business fields. Every field is optional; only provided fields change (optimistic-locked). Internal fields are never accepted.
New display name of the network
Acme Podcast NetworkNew primary email address for the network
ops@example.comNew free-form description of the network
A network of independent technology podcastsNew public website for the network
https://example.comNew default language code used for emails sent to the network
enprimary_contact objectnullable
New primary business contact for the network
Email address of the contact (required)
ops@example.comFirst name of the contact (required)
JaneLast name of the contact (required)
DoeOptional free-form role or title of the contact
Head of Partnershipscontacts object[]nullable
New list of additional business contacts for the network
Email address of the contact (required)
ops@example.comFirst name of the contact (required)
JaneLast name of the contact (required)
DoeOptional free-form role or title of the contact
Head of Partnerships{
"name": "Acme Podcast Network",
"email": "ops@example.com",
"description": "A network of independent technology podcasts",
"website": "https://example.com",
"default_email_language": "en",
"primary_contact": {
"email": "ops@example.com",
"first_name": "Jane",
"last_name": "Doe",
"role": "Head of Partnerships"
},
"contacts": [
{
"email": "ops@example.com",
"first_name": "Jane",
"last_name": "Doe",
"role": "Head of Partnerships"
}
]
}